FUNCTION::RETURN_STR(3stap)

NAME
function::return_str - Formats the return value as a string

SYNOPSIS

    return_str:string(format:long,ret:long)

ARGUMENTS

format
    Variable to determine return type base value

ret
    Return value (typically $return)

DESCRIPTION

This function is used by the syscall tapset, and returns a string. Set format equal to 1 for a decimal, 2 for hex, 3 for octal.

Note that this function is preferred over returnstr.

SEE ALSO
tapset::errno(3stap)